Subject: Re: bug#66649: 29.1; `project-remember-projects-under' behavior doesn't match its doc

From: Dmitry Gutov <[email-masked]>
Date: Wed, 1 Nov 2023 21:04:00 +0200

On 01/11/2023 15:12, Philip Kaludercic wrote:
> One idea would be to just simplify the entire implementation by relying
> on directory-files and directory-files-recursively.  Say something like
> this:

Looks, good, just once thing:

> +                  (directory-files-recursively dir "" t #'file-directory-p)

The argument PREDICATE is not in Emacs 26.1 (which should remain 
compatible). But it doesn't help anyway, because that predicate is only 
used to determine whether to recurse into a subdirectory, and not to 
filter out files. So the full list of all files is generated anyway.

If the performance still looks okay to you, I have no objections. Just 
remove that last argument, and it's good to install.